"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

// eslint-disable-next-line
var _default = function _default(theme) {
  return {
    noWrap: {
      flexWrap: 'noWrap'
    },
    stretch: {
      flex: '1 1 auto'
    },
    card: {
      borderRadius: theme.shape.borderRadius * 2
    },
    cardContent: {
      padding: "".concat(theme.spacing(3), "px ").concat(theme.spacing(3), "px ").concat(theme.spacing(2), "px ").concat(theme.spacing(3), "px")
    },
    cardInfo: {
      padding: "".concat(theme.spacing(1.5), "px ").concat(theme.spacing(3), "px"),
      backgroundColor: theme.palette.background.secondary
    },
    cardAction: {
      padding: "".concat(theme.spacing(2), "px ").concat(theme.spacing(3), "px !important")
    }
  };
};

exports.default = _default;