"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _Chip = _interopRequireDefault(require("@material-ui/core/Chip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var useStyles = (0, _styles.makeStyles)({
  root: {
    backgroundColor: 'unset',
    '& span': {
      backgroundColor: function backgroundColor(props) {
        return props.cuscolor;
      },
      padding: '4px 10px',
      position: 'unset',
      transform: 'unset',
      borderRadius: '13.5px'
    }
  }
});

function Chip(props) {
  var _useStyles = useStyles(props),
      root = _useStyles.root;

  var others = _extends({}, props);

  return /*#__PURE__*/_react.default.createElement(_Chip.default, _extends({}, others, {
    className: root
  }));
}

Chip.defaultProps = {
  cuscolor: '#dadada'
};
Chip.propTypes = {
  cuscolor: _propTypes.default.string
};
var _default = Chip;
exports.default = _default;