"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Checkbox = _interopRequireDefault(require("@material-ui/core/Checkbox"));

var _icons = require("./icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Favorite(props) {
  var checked = props.checked,
      onChange = props.onChange;

  var onChecked = function onChecked(e) {
    return onChange(e.target.checked);
  };

  return /*#__PURE__*/_react.default.createElement(_Checkbox.default, {
    icon: /*#__PURE__*/_react.default.createElement(_icons.StarOutlineRounded, null),
    checkedIcon: /*#__PURE__*/_react.default.createElement(_icons.StarRounded, {
      style: {
        color: '#FBD40B'
      }
    }),
    checked: checked,
    onChange: onChecked
  });
}

Favorite.defaultProps = {
  checked: false,
  onChange: function onChange() {}
};
Favorite.propTypes = {
  checked: _propTypes.default.bool,
  onChange: _propTypes.default.func
};
var _default = Favorite;
exports.default = _default;